Classes | Public Member Functions
CDataArray2DString Class Reference

## Detailed Description

CDataArray2DString is used for storing strings in a 2D element array.

Since:
  Ariane

See also:
  CDataArrayString, CIndexSet

`#include <xsi_dataarray2D.h>`

Inherits CBaseDataArray2D.

List of all members.

## Classes
class | Accessor
| Accessor gives access to the string data stored in a CDataArray2DString object. More...
## Public Member Functions
SICPPSDK_INLINE | CDataArray2DString (ICENodeContext &in_ctxt, ULONG in_nInputPortID, ULONG in_nInstanceIndex=0)
SICPPSDK_INLINE | CDataArray2DString (ICENodeContext &in_ctxt)
SICPPSDK_INLINE | CDataArray2DString ()
SICPPSDK_INLINE | ~CDataArray2DString ()
SICPPSDK_INLINE CStatus | CopyFrom (ULONG in_nInputPortID, ULONG in_nInstanceIndex=0)
SICPPSDK_INLINE Accessor | operator[] (ULONG in_nArrayIndex) const
SICPPSDK_INLINE Accessor | Resize (ULONG in_nArrayIndex, ULONG in_nCount)
SICPPSDK_INLINE ULONG | GetCount () const
SICPPSDK_INLINE bool | IsConstant () const

## Constructor & Destructor Documentation

SICPPSDK_INLINE CDataArray2DString | ( | ICENodeContext & | in_ctxt,
|  | ULONG | in_nInputPortID,
|  | ULONG | in_nInstanceIndex = `0`
| ) |  |

Constructor for string types bound to input ports.

Parameters:

  in_ctxt | ICENode evaluation context.
  in_nInputPortID | Input port identifier.
  in_nInstanceIndex | The group instance of the port.

SICPPSDK_INLINE CDataArray2DString | ( | ICENodeContext & | in_ctxt | ) |

Constructor for string types bound to output ports.

Parameters:

  in_ctxt | ICENode evaluation context.

SICPPSDK_INLINE CDataArray2DString | ( |  | ) |

Default constructor.

SICPPSDK_INLINE ~CDataArray2DString | ( |  | ) |

Destructor.

## Member Function Documentation

SICPPSDK_INLINE CStatus CopyFrom | ( | ULONG | in_nInputPortID,
|  | ULONG | in_nInstanceIndex = `0`
| ) |  |

Copy the data from a given input port to this object buffer without allocating memory. This is typically used for passing data by reference from input to output ports, similar to what the built-in 'pass through' node is doing.

Parameters:

  in_nInputPortID | Input port identifier.
  in_nInstanceIndex | The group instance of the port.

Returns:
  CStatus::OK Success
  CStatus::InvalidArgument Fails if in_nInputPortID is not an input port identifier or in_nInstanceIndex is invalid.
  CStatus::AccessDenied This array is not an output type or wasn't created properly.

Example:

            // Copy data from the ID_IN_CUSTOM_DATA port to the current output port
            XSI::CDataArray2DString outData( in_ctxt );
            outData.CopyFrom( ID_IN_CUSTOM_DATA );

SICPPSDK_INLINE CDataArray2DString::Accessor operator[] | ( | ULONG | in_nArrayIndex | ) | const

Returns a string accessor at `in_nArrayIndex`. This operator is called when reading the data so the return value is read-only.

Parameters:

  in_nArrayIndex | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredicted.

Returns:
  Accessor object.

SICPPSDK_INLINE CDataArray2DString::Accessor Resize | ( | ULONG | in_nArrayIndex,
|  | ULONG | in_nCount
| ) |  |

Changes the size of the sub-array at `in_nArrayIndex` and returns an accessor pointing to the resized sub-array.

Parameters:

  in_nArrayIndex | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredicted.
  in_nCount | The number fo characters of the new array.

Returns:
  Accessor object.

SICPPSDK_INLINE ULONG GetCount | ( | void |  | ) | const

Returns the number of characters in the array.

Returns:
  Number of characters.

SICPPSDK_INLINE bool IsConstant | ( |  | ) | const

Returns true if the array is constant or false otherwise. A constant array has only one value.

Returns:
  True if constant, false otherwise.

The documentation for this class was generated from the following file:

- xsi_dataarray2D.h